Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Class JMSException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  IllegalStateException, InvalidClientIDException, InvalidDestinationException, InvalidSelectorException, JMSSecurityException, MessageEOFException, MessageFormatException, MessageNotReadableException, MessageNotWriteableException, ResourceAllocationException, TransactionInProgressException, TransactionRolledBackException

    public class JMSException

extends java.lang.Exception

This is the root class of all JMS API exceptions.

It provides the following information:

- A provider-specific string describing the error. This string is the standard exception message and is available via the `getMessage` method.
- A provider-specific string error code
- A reference to another exception. Often a JMS API exception will be the result of a lower-level problem. If appropriate, this lower-level exception can be linked to the JMS API exception.

See Also:
  Serialized Form

Constructor Summary
`JMSException(java.lang.String reason)` Constructs a `JMSException` with the specified reason and with the error code defaulting to null.
`JMSException(java.lang.String reason, java.lang.String errorCode)` Constructs a `JMSException` with the specified reason and error code.

Method Summary
`java.lang.String` | `getErrorCode()` Gets the vendor-specific error code.
`java.lang.Exception` | `getLinkedException()` Gets the exception linked to this one.
`void` | `setLinkedException(java.lang.Exception ex)` Adds a linked `Exception`.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JMSException

    public JMSException(java.lang.String reason,
                        java.lang.String errorCode)

  Constructs a `JMSException` with the specified reason and error code.

  Parameters:
    `reason` - a description of the exception
    `errorCode` - a string specifying the vendor-specific error code

### JMSException

    public JMSException(java.lang.String reason)

  Constructs a `JMSException` with the specified reason and with the error code defaulting to null.

  Parameters:
    `reason` - a description of the exception

Method Detail

### getErrorCode

    public java.lang.String getErrorCode()

  Gets the vendor-specific error code.

  Returns:
    a string specifying the vendor-specific error code

### getLinkedException

    public java.lang.Exception getLinkedException()

  Gets the exception linked to this one.

  Returns:
    the linked `Exception`, null if none

### setLinkedException

    public void setLinkedException(java.lang.Exception ex)

  Adds a linked `Exception`.

  Parameters:
    `ex` - the linked `Exception`

Package | Class | Tree | Deprecated | Index | Help
| TIBCO Enterprise Message Service
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD